Loading...
Searching...
No Matches
lauum: Multiply triangular matrices; used in potri
Dense LA » Linear system solvers » Symmetric/Hermitian positive definite: Cholesky » Auxiliary routines

## Functions

magma_int_t | magma_clauum (magma_uplo_t uplo, magma_int_t n, magmaFloatComplex *A, magma_int_t lda, magma_int_t *info)
| CLAUUM computes the product U * U^H or L^H * L, where the triangular factor U or L is stored in the upper or lower triangular part of the array A.
magma_int_t | magma_clauum_gpu (magma_uplo_t uplo, magma_int_t n, magmaFloatComplex_ptr dA, magma_int_t ldda, magma_int_t *info)
| CLAUUM computes the product U * U^H or L^H * L, where the triangular factor U or L is stored in the upper or lower triangular part of the array dA.
magma_int_t | magma_dlauum (magma_uplo_t uplo, magma_int_t n, double *A, magma_int_t lda, magma_int_t *info)
| DLAUUM computes the product U * U^H or L^H * L, where the triangular factor U or L is stored in the upper or lower triangular part of the array A.
magma_int_t | magma_dlauum_gpu (magma_uplo_t uplo, magma_int_t n, magmaDouble_ptr dA, magma_int_t ldda, magma_int_t *info)
| DLAUUM computes the product U * U^H or L^H * L, where the triangular factor U or L is stored in the upper or lower triangular part of the array dA.
magma_int_t | magma_slauum (magma_uplo_t uplo, magma_int_t n, float *A, magma_int_t lda, magma_int_t *info)
| SLAUUM computes the product U * U^H or L^H * L, where the triangular factor U or L is stored in the upper or lower triangular part of the array A.
magma_int_t | magma_slauum_gpu (magma_uplo_t uplo, magma_int_t n, magmaFloat_ptr dA, magma_int_t ldda, magma_int_t *info)
| SLAUUM computes the product U * U^H or L^H * L, where the triangular factor U or L is stored in the upper or lower triangular part of the array dA.
magma_int_t | magma_zlauum (magma_uplo_t uplo, magma_int_t n, magmaDoubleComplex *A, magma_int_t lda, magma_int_t *info)
| ZLAUUM computes the product U * U^H or L^H * L, where the triangular factor U or L is stored in the upper or lower triangular part of the array A.
magma_int_t | magma_zlauum_gpu (magma_uplo_t uplo, magma_int_t n, magmaDoubleComplex_ptr dA, magma_int_t ldda, magma_int_t *info)
| ZLAUUM computes the product U * U^H or L^H * L, where the triangular factor U or L is stored in the upper or lower triangular part of the array dA.

## Detailed Description

## Function Documentation

## magma_clauum()

magma_int_t magma_clauum | ( | magma_uplo_t | uplo,
|  | magma_int_t | n,
|  | magmaFloatComplex * | A,
|  | magma_int_t | lda,
|  | magma_int_t * | info )

CLAUUM computes the product U * U^H or L^H * L, where the triangular factor U or L is stored in the upper or lower triangular part of the array A.

If UPLO = MagmaUpper then the upper triangle of the result is stored, overwriting the factor U in A. If UPLO = MagmaLower then the lower triangle of the result is stored, overwriting the factor L in A. This is the blocked form of the algorithm, calling Level 3 BLAS.

Parameters

  [in]

  uplo

  magma_uplo_t Specifies whether the triangular factor stored in the array A is upper or lower triangular:
  - = MagmaUpper: Upper triangular
  - = MagmaLower: Lower triangular

  [in] | n | INTEGER The order of the triangular factor U or L. N >= 0.
  [in,out] | A | COMPLEX array, dimension (LDA,N) On entry, the triangular factor U or L. On exit, if UPLO = MagmaUpper, the upper triangle of A is overwritten with the upper triangle of the product U * U^H; if UPLO = MagmaLower, the lower triangle of A is overwritten with the lower triangle of the product L^H * L.
  [in] | lda | INTEGER The leading dimension of the array A. LDA >= max(1,N).

  [out]

  info

  INTEGER
  - = 0: successful exit
  - < 0: if INFO = -k, the k-th argument had an illegal value

## magma_clauum_gpu()

magma_int_t magma_clauum_gpu | ( | magma_uplo_t | uplo,
|  | magma_int_t | n,
|  | magmaFloatComplex_ptr | dA,
|  | magma_int_t | ldda,
|  | magma_int_t * | info )

CLAUUM computes the product U * U^H or L^H * L, where the triangular factor U or L is stored in the upper or lower triangular part of the array dA.

If UPLO = MagmaUpper then the upper triangle of the result is stored, overwriting the factor U in dA. If UPLO = MagmaLower then the lower triangle of the result is stored, overwriting the factor L in dA. This is the blocked form of the algorithm, calling Level 3 BLAS.

Parameters

  [in]

  uplo

  magma_uplo_t Specifies whether the triangular factor stored in the array dA is upper or lower triangular:
  - = MagmaUpper: Upper triangular
  - = MagmaLower: Lower triangular

  [in] | n | INTEGER The order of the triangular factor U or L. N >= 0.
  [in,out] | dA | COMPLEX array on the GPU, dimension (LDDA,N) On entry, the triangular factor U or L. On exit, if UPLO = MagmaUpper, the upper triangle of dA is overwritten with the upper triangle of the product U * U^H; if UPLO = MagmaLower, the lower triangle of dA is overwritten with the lower triangle of the product L^H * L.
  [in] | ldda | INTEGER The leading dimension of the array A. LDDA >= max(1,N).

  [out]

  info

  INTEGER
  - = 0: successful exit
  - < 0: if INFO = -k, the k-th argument had an illegal value

## magma_dlauum()

magma_int_t magma_dlauum | ( | magma_uplo_t | uplo,
|  | magma_int_t | n,
|  | double * | A,
|  | magma_int_t | lda,
|  | magma_int_t * | info )

DLAUUM computes the product U * U^H or L^H * L, where the triangular factor U or L is stored in the upper or lower triangular part of the array A.

If UPLO = MagmaUpper then the upper triangle of the result is stored, overwriting the factor U in A. If UPLO = MagmaLower then the lower triangle of the result is stored, overwriting the factor L in A. This is the blocked form of the algorithm, calling Level 3 BLAS.

Parameters

  [in]

  uplo

  magma_uplo_t Specifies whether the triangular factor stored in the array A is upper or lower triangular:
  - = MagmaUpper: Upper triangular
  - = MagmaLower: Lower triangular

  [in] | n | INTEGER The order of the triangular factor U or L. N >= 0.
  [in,out] | A | DOUBLE PRECISION array, dimension (LDA,N) On entry, the triangular factor U or L. On exit, if UPLO = MagmaUpper, the upper triangle of A is overwritten with the upper triangle of the product U * U^H; if UPLO = MagmaLower, the lower triangle of A is overwritten with the lower triangle of the product L^H * L.
  [in] | lda | INTEGER The leading dimension of the array A. LDA >= max(1,N).

  [out]

  info

  INTEGER
  - = 0: successful exit
  - < 0: if INFO = -k, the k-th argument had an illegal value

## magma_dlauum_gpu()

magma_int_t magma_dlauum_gpu | ( | magma_uplo_t | uplo,
|  | magma_int_t | n,
|  | magmaDouble_ptr | dA,
|  | magma_int_t | ldda,
|  | magma_int_t * | info )

DLAUUM computes the product U * U^H or L^H * L, where the triangular factor U or L is stored in the upper or lower triangular part of the array dA.

If UPLO = MagmaUpper then the upper triangle of the result is stored, overwriting the factor U in dA. If UPLO = MagmaLower then the lower triangle of the result is stored, overwriting the factor L in dA. This is the blocked form of the algorithm, calling Level 3 BLAS.

Parameters

  [in]

  uplo

  magma_uplo_t Specifies whether the triangular factor stored in the array dA is upper or lower triangular:
  - = MagmaUpper: Upper triangular
  - = MagmaLower: Lower triangular

  [in] | n | INTEGER The order of the triangular factor U or L. N >= 0.
  [in,out] | dA | DOUBLE PRECISION array on the GPU, dimension (LDDA,N) On entry, the triangular factor U or L. On exit, if UPLO = MagmaUpper, the upper triangle of dA is overwritten with the upper triangle of the product U * U^H; if UPLO = MagmaLower, the lower triangle of dA is overwritten with the lower triangle of the product L^H * L.
  [in] | ldda | INTEGER The leading dimension of the array A. LDDA >= max(1,N).

  [out]

  info

  INTEGER
  - = 0: successful exit
  - < 0: if INFO = -k, the k-th argument had an illegal value

## magma_slauum()

magma_int_t magma_slauum | ( | magma_uplo_t | uplo,
|  | magma_int_t | n,
|  | float * | A,
|  | magma_int_t | lda,
|  | magma_int_t * | info )

SLAUUM computes the product U * U^H or L^H * L, where the triangular factor U or L is stored in the upper or lower triangular part of the array A.

If UPLO = MagmaUpper then the upper triangle of the result is stored, overwriting the factor U in A. If UPLO = MagmaLower then the lower triangle of the result is stored, overwriting the factor L in A. This is the blocked form of the algorithm, calling Level 3 BLAS.

Parameters

  [in]

  uplo

  magma_uplo_t Specifies whether the triangular factor stored in the array A is upper or lower triangular:
  - = MagmaUpper: Upper triangular
  - = MagmaLower: Lower triangular

  [in] | n | INTEGER The order of the triangular factor U or L. N >= 0.
  [in,out] | A | REAL array, dimension (LDA,N) On entry, the triangular factor U or L. On exit, if UPLO = MagmaUpper, the upper triangle of A is overwritten with the upper triangle of the product U * U^H; if UPLO = MagmaLower, the lower triangle of A is overwritten with the lower triangle of the product L^H * L.
  [in] | lda | INTEGER The leading dimension of the array A. LDA >= max(1,N).

  [out]

  info

  INTEGER
  - = 0: successful exit
  - < 0: if INFO = -k, the k-th argument had an illegal value

## magma_slauum_gpu()

magma_int_t magma_slauum_gpu | ( | magma_uplo_t | uplo,
|  | magma_int_t | n,
|  | magmaFloat_ptr | dA,
|  | magma_int_t | ldda,
|  | magma_int_t * | info )

SLAUUM computes the product U * U^H or L^H * L, where the triangular factor U or L is stored in the upper or lower triangular part of the array dA.

If UPLO = MagmaUpper then the upper triangle of the result is stored, overwriting the factor U in dA. If UPLO = MagmaLower then the lower triangle of the result is stored, overwriting the factor L in dA. This is the blocked form of the algorithm, calling Level 3 BLAS.

Parameters

  [in]

  uplo

  magma_uplo_t Specifies whether the triangular factor stored in the array dA is upper or lower triangular:
  - = MagmaUpper: Upper triangular
  - = MagmaLower: Lower triangular

  [in] | n | INTEGER The order of the triangular factor U or L. N >= 0.
  [in,out] | dA | REAL array on the GPU, dimension (LDDA,N) On entry, the triangular factor U or L. On exit, if UPLO = MagmaUpper, the upper triangle of dA is overwritten with the upper triangle of the product U * U^H; if UPLO = MagmaLower, the lower triangle of dA is overwritten with the lower triangle of the product L^H * L.
  [in] | ldda | INTEGER The leading dimension of the array A. LDDA >= max(1,N).

  [out]

  info

  INTEGER
  - = 0: successful exit
  - < 0: if INFO = -k, the k-th argument had an illegal value

## magma_zlauum()

magma_int_t magma_zlauum | ( | magma_uplo_t | uplo,
|  | magma_int_t | n,
|  | magmaDoubleComplex * | A,
|  | magma_int_t | lda,
|  | magma_int_t * | info )

ZLAUUM computes the product U * U^H or L^H * L, where the triangular factor U or L is stored in the upper or lower triangular part of the array A.

If UPLO = MagmaUpper then the upper triangle of the result is stored, overwriting the factor U in A. If UPLO = MagmaLower then the lower triangle of the result is stored, overwriting the factor L in A. This is the blocked form of the algorithm, calling Level 3 BLAS.

Parameters

  [in]

  uplo

  magma_uplo_t Specifies whether the triangular factor stored in the array A is upper or lower triangular:
  - = MagmaUpper: Upper triangular
  - = MagmaLower: Lower triangular

  [in] | n | INTEGER The order of the triangular factor U or L. N >= 0.
  [in,out] | A | COMPLEX_16 array, dimension (LDA,N) On entry, the triangular factor U or L. On exit, if UPLO = MagmaUpper, the upper triangle of A is overwritten with the upper triangle of the product U * U^H; if UPLO = MagmaLower, the lower triangle of A is overwritten with the lower triangle of the product L^H * L.
  [in] | lda | INTEGER The leading dimension of the array A. LDA >= max(1,N).

  [out]

  info

  INTEGER
  - = 0: successful exit
  - < 0: if INFO = -k, the k-th argument had an illegal value

## magma_zlauum_gpu()

magma_int_t magma_zlauum_gpu | ( | magma_uplo_t | uplo,
|  | magma_int_t | n,
|  | magmaDoubleComplex_ptr | dA,
|  | magma_int_t | ldda,
|  | magma_int_t * | info )

ZLAUUM computes the product U * U^H or L^H * L, where the triangular factor U or L is stored in the upper or lower triangular part of the array dA.

If UPLO = MagmaUpper then the upper triangle of the result is stored, overwriting the factor U in dA. If UPLO = MagmaLower then the lower triangle of the result is stored, overwriting the factor L in dA. This is the blocked form of the algorithm, calling Level 3 BLAS.

Parameters

  [in]

  uplo

  magma_uplo_t Specifies whether the triangular factor stored in the array dA is upper or lower triangular:
  - = MagmaUpper: Upper triangular
  - = MagmaLower: Lower triangular

  [in] | n | INTEGER The order of the triangular factor U or L. N >= 0.
  [in,out] | dA | COMPLEX_16 array on the GPU, dimension (LDDA,N) On entry, the triangular factor U or L. On exit, if UPLO = MagmaUpper, the upper triangle of dA is overwritten with the upper triangle of the product U * U^H; if UPLO = MagmaLower, the lower triangle of dA is overwritten with the lower triangle of the product L^H * L.
  [in] | ldda | INTEGER The leading dimension of the array A. LDDA >= max(1,N).

  [out]

  info

  INTEGER
  - = 0: successful exit
  - < 0: if INFO = -k, the k-th argument had an illegal value